# Instalar Kiwix-Server

En uan red inalambrica comunitaria es importante tener contenidos locales que se puedan acceder sin ternet internet, uno de los recursos más importante es tener la wikipedia de forma local, pero eso se puede utilizar el proyecto Kiwix.org que permite tener una copia local de la wikipedia.

Aunque se puede instalar el paquete completo de Kiwix con interfaz grafica en algunas instalaciones y dependiendo de los recursos disponibles es mejor tener un servicio más compacto y por eso es importante instalar solo lo necesario, en este caso instalar solo la parte que crear un servicio web con wikipedia local es la mejor opción, para eso se utiliza kiwix-serve y para instalarlo en una maquina con Linux Debian se debe hacer lo siguiente:

1. Instalar toda las dependencias que indica cada uno de los paquetes necesarios, para poderlos compilar, es fundamental tener la libreria Libzim y kiwix-lib para luedo poder correr el paquete kiwix-server que viene en uno de los precompilados de kiwix-tool:
    - https://github.com/openzim/libzim
    - https://github.com/kiwix/kiwix-lib
    - https://download.kiwix.org/release/kiwix-tools/ 
        - Se puede descargar cualquiera de las versiones desde la 0.4 en adelante, estos archivos se descomprimen y se copain a a la carpeta /usr/local/bin para poder ser utilizados como comandos del sistema
    - En debian en necesario instalar los paquetes de build-essentials
    - Se debe instalar pip3: apt install python3-pip
    - La libreria aria: apt-get install libaria-dev
    - Instalar meson para compilar: pip3 install meson
    
1. Descargar los paquetes de wikipedia que quieras tener en local, en total pueden ser entre 40GB o 60GB, se puede descargar del siguiente enlace: http://www.kiwix.org/downloads/

1. En la carpeta wikipedia del repositorio se encuentra el archivo **wikidownload.txt** que sirver para tener una lista de los paquetes a descargar y el archivo **library.xml** con el listado de paquetes zim y la configuración para poder que kiwix-serve pueda correrlos en un servidor web.

1. Los paquetes de wikipedia se almacenan en la carpeta del servidor local /home/Servidor/wikipedia

1. Para arrancar el servicio de wikipedia debe crearse un Script que vaya al directorio donde estan los contenidos de la wikipedia y ejecute el comando de Kiwix-serve

```
#!/bin/bash
#Aqui Arrancamos el servicio de Wikipedia
cd /home/nosred/wikipedia/library
kiwix-serve --port=85 --daemon --library library.xml &
```
- El script anterior es como debe quedar el script, puede tener el nombre wikipedia.sh y ubicarse en la carpeta /usr/local/bin

- Para que el script arranque de manera automatica utilizamos el rc.local, en debian9 ya no viene activado por defecto, entonces utilizo esta guia para crear el rc.local y tenerlo como un servicio: https://www.itechlounge.net/2017/10/linux-how-to-add-rc-local-in-debian-9/
Luego solo hay que agregar la linea: **wikipedia.sh** en el archivo **/etc/rc.local** de esta forma cada que se reinicia el servidor de forma automatica el servicio arranca.


