<?php
/// ESTE ARCHIVO DEBE ESTAR UN NIVEL POR ENCIMA DEL DIRECTORIO libs
session_start();
   if (isset($_REQUEST[debug])) {
       ini_set('display_errors', 'On');
   }
require('libs/xajax/xajax.inc.php');
$xajax = new xajax();
$razon_social[0] ="RedINC.org";
$telefono[0] ="317 8946799";
$email[0] ="correo@redinc.org";
// $facebook[0] ="https://www.facebook.com/redinc/";
// $twitter[0] ="@RedINC";
$web[0] ="https://redinc.org";
$slogan[0] ="RedINC <br/> Buenos Aires - buena onda! ";

function enviar_mail($formulario)
{
    $respuesta = new xajaxResponse('utf-8');
    if ($formulario['nombre'] =="") {
        $error ="Por favor dinos tu nombre";
    } elseif ($formulario['email'] =="") {
        $error ="Por favor escribe un correo electrónico para comunicarnos";
    } elseif ($formulario['telefono'] =="") {
        $error ="Necesitamos un número telefónico para comunicarnos";
    } elseif ($formulario['mensaje'] =="") {
        $error ="¿Cual es tu mensaje?";
    } else {
        $error ="";
    }

    if ($error !="") {
        $respuesta->addAlert("$error");
        return $respuesta;
    }


    $headers = "MIME-Version: 1.0\r\n";
    $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
    $headers .= "From: RedInc.org <correo@redinc.org>\r\n";
    $headers .= "Reply-To: correo@redinc.org\r\n";
    $headers .= "Return-path: correo@redinc.org\r\n";
    $headers .= "Cc: correo@redinc.org" . "\r\n";
    $asunto ="Mensaje de RedINC";
    $cuerpo ="
<img  src='libs/redinc/images/logoRedINC.png' style='width:100%'>
Gracias <strong>$formulario[nombre]</strong> por comunicarse con <a href='https://Redinc.org'>RedINC.org</a>
<div>
<h3>$asunto</h3>
<li><strong>Nombre</strong> $formulario[nombre]</li>
<li><strong>Email</strong> $formulario[email]</li>
<li><strong>Teléfono</strong> $formulario[telefono]</li>
<li><strong>Mensaje</strong> $formulario[mensaje]</li>
</div>
<p>Sigue en contacto con <a href='https://Redinc.org'>RedINC.org</a></p>

";

    if (mail("$formulario[email]", "$asunto", "$cuerpo", "$headers")) {
        $mensaje  ="$cuerpo";
    } else {
        $mensaje ="<div class='alert alert-danger'><h2>Error enviando correo</h2>";
    }


    $respuesta->addAssign("div_contacto", "innerHTML", "$mensaje");
    //$respuesta->addAlert("Hola Mundo");
    return $respuesta;
}
$xajax->registerFunction("enviar_mail");
$xajax->processRequests();


?>
<!DOCTYPE html>
<html lang="en">
   <head >
   <meta http-equiv="cache-control" content="max-age=0" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
<meta http-equiv="pragma" content="no-cache" />
    <meta charset="utf-8">
    <meta name="viewport" content="user-scalable=no, width=device-width,  maximum-scale=1,  initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="fredyrivera" >
     <?php $xajax->printJavascript("libs/xajax/");  ?>
    <link rel="shortcut icon" href="favicon-152.png">
	<link rel="apple-touch-icon-precomposed" href="favicon-152.png">
  <link rel="stylesheet" href="libs/css/font-awesome/all.min.css" crossorigin="anonymous">
	<link href="libs/css/font-awesome/css/font-awesome.css" rel="stylesheet">
<link href="libs/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="libs/css/master.css">
<!-- <link href="libs/css/estilos.php" rel="stylesheet"> -->


<link href="libs/css/carousel.css" rel="stylesheet">

<?php if ($_REQUEST[id] !='' and $_REQUEST[c]) {
    $onload ="<script type=\"text/javascript\"> xajax_formulario_modal('$_REQUEST[id]','','$_REQUEST[c]','$_REQUEST[t]')</script>";
} ?>
</head>
<body>
  <body><?php echo $onload; ?>

      <nav class="navbar navbar" role="navigation">
      	<div class="container-fluid">
      	  <div class='col-sx-12 ' id='logo_cabecera' >

		      <div class='pull-right' >
		      	<div >
              <a id='redes' title="Ver el estado de tu conexión" target="_redes" href="http://firewall.redinc.org/status"><span><i class="fas fa-wifi"></i></span></a>
		      	<a id='redes' title="Email" target="_redes" href="mailto:<?php echo $email[0];?>"><span><i class="fas fa-envelope"></i></span></a>
		      	<a id='redes' title="Facebook" target="_redes" href="<?php echo $facebook[0];?>"><span><i class='fab fa-facebook-square'></i></span></a>
		      	<a id='redes' title="Twitter" target="_redes" href="https://twitter.com/<?php echo $twitter[0];?>"><span><i class='fab fa-twitter'></i></span></a>
            <a id='redes' title="Mapa" target="_redes" href="https://mapas.nuestrared.org/es/map/nuestrared-nodos_1#15/4.7162/-75.7063"><span><i class="fas fa-map-marked-alt"></i></span></a>

		      	</div>

		      </div>
	      </div>
          <div class="navbar-header" style="  ">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a id='redes' title="Inicio" target="" href="?"><span><i class='fa fa-home'></i></span></a>
		      	 <p>|
            <?php echo $razon_social[0];?> | </p> <?php if ($_SESSION[usuario_libs]) {
    $accion = "<p>$_SESSION[nombre_usuario_libs]</p> <a href='#' class=''  onclick=\"xajax_libs_session('','','','salir') \"><i class='fa fa-sign-out fa-fw'></i> SALIR</a>";
} echo $accion;  ?>



          </div>
          <div class="navbar-collapse collapse">
            <ul class="nav navbar-nav">

					<li></li>

            </ul>

          </div><!--/.nav-collapse -->
		</div>
      </nav>

  	<div class="jumbotron text-center" id="cabezote">
	<h1><?php echo $slogan[0];?></h1>
  	<img src="libs/redinc/images/captiveportal-logoRedINC.png" alt="Logo RedIINC" class='img img-responsive center-block'>

  	</div>
<div class="container text-center">
    <div class="boton_chat tex-center">

      <a class="btn btn-danger btn-lg" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
        Chatear Sin Internet
      </a>

    <div class="collapse" id="collapseExample">
      <div class="card card-body">
        Para chatear sin internet en tu celular <a href="https://wiki.redinc.org/doku.php?id=redinc:documentacion:conversar"> Ingresa aquí y sigue las instrucciones </a></br>
        En tu computador <a href="https://conversemos.redinc.org"> Ingresa en este enlace</a></br>
        <strong>¡Comunícate con tus amigos y vecinos en la RedINC!</strong>
      </div>
    </div>
  </div>
  </div>

    <div class='container-fluid franja text-center'>
    <h1>RedInc.org <div class='lead'>Ofrece acceso gratuito a los contenidos que puedes encontrar navegando esta página, son contenidos de la red local que no necesitan internet </br><strong> <a style="color:yellow;" href="https://wiki.redinc.org/doku.php?id=redinc:documentacion:comprarinternet">Si quieres comprar internet entra aquí</a> </strong></div></h1>

    </div>


    <div class='container' >
			<div class="col-lg-10 col-lg-push-1 text-center">
				<img src="libs/redinc/images/wikipedia.png" alt="Wikipedia" class='img img-responsive center-block '>
				<br>
				<span class="linea_botones"> <a class='btn btn-block btn-default btn-circle btn-xl' href="https://wikipedia.redinc.org/wikipedia_es_all_novid?"><i class="fab fa-wikipedia-w"></i></a> <br><a class="texto_botones" href="https://wikipedia.redinc.org/wikipedia_es_all_novid.html">Wikipedia</a></span>
				<span class="linea_botones"><a class='btn btn-block btn-primary btn-circle btn-xl' href= "https://wikipedia.redinc.org/wiktionary_es_all_novid?"><i class="fas fa-sort-alpha-down"></i></a><br><a class="texto_botones" href= "https://wikipedia.redinc.org/wiktionary_es_all_novid?">Diccionario</a></span>
				<span class="linea_botones"><a class='btn btn-block btn-success btn-circle btn-xl' href="https://wikipedia.redinc.org/wikibooks_es_all_novid?"><i class="fas fa-atlas"></i></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikibooks_es_all_novid?">Biblioteca</a></span>
				<span class="linea_botones"><a class='btn btn-block btn-warning btn-circle btn-xl' href="https://wikipedia.redinc.org/wikivoyage_es_all_novid?"><i class="fas fa-globe"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikivoyage_es_all_novid?" >Viajar</a></span>
        <span class="linea_botones"><a class='btn btn-block btn-danger btn-circle btn-xl' href="https://wikipedia.redinc.org/vikidia_es_all/"><i class="fas fa-child"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/vikidia_es_all/"    >Niños</a></span>
        <span class="linea_botones"><a class='btn btn-block btn-default btn-circle btn-xl' href="https://wikipedia.redinc.org/wikiquote_es_all_novid?"><i class="fas fa-broadcast-tower"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikiquote_es_all_novid?">Frases</a></span>
				<span class="linea_botones"><a class='btn btn-block btn-info btn-circle btn-xl' href="https://wikipedia.redinc.org/wikisource_es_all_novid?"><i class="fas fa-book-reader"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikisource_es_all_novid?">Documentos</a></span>
				<span class="linea_botones"><a class='btn btn-block btn-success btn-circle btn-xl' href="https://wikipedia.redinc.org/wikiversity_es_all_novid?"><i class="fas fa-user-graduate"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikiversity_es_all_novid?">Universidad</a></span>
        <span class="linea_botones"><a class='btn btn-block btn-warning btn-circle btn-xl' href="https://wikipedia.redinc.org/wikinews_es_all_novid?"><i class="fab fa-readme"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikinews_es_all_novid?">Prensa</a></span>
        <span class="linea_botones"><a class='btn btn-block btn-warning btn-circle btn-xl' href="https://redinc.org/es.stackoverflow.com_es_all/?"><i class="fab fa-stack-overflow"></i></a><br><a class="texto_botones" href="https://wikipedia.redinc.org/wikinews_es_all_novid?">Stack Overflow</a></span>

			</div>
    </div>

			<div id='div_contacto' class='container-fluid'>
			<div class='col-sm-push-3 col-sm-6 col-md-push-3 col-md-6 col-lg-6 col-lg-push-3 alert alert-info text-center'  >
			<form role='form' class='form-horizontal' id='formulario_contacto' name='formulario_contacto'>
			<h2>Contacto y sugerencias</h2>
				<div class='form-group '>
					<label for='nombre'>Nombre</label>
					<div class="input-group">
						<span class="input-group-addon"><i class="fa fa-user"></i></span>
						<input class='form-control' id='nombre' name='nombre' type='text' >
					</div>
				</div>
				<div class='form-group '>
					<label for='email'>Correo electrónico</label>
					<div class="input-group">
						<span class="input-group-addon">@</span>
						<input class='form-control' id='email' name='email' type='email' >
					</div>
				</div>
				<div class='form-group '>
					<label for='telefono'>Teléfono</label>
					<div class="input-group">
						<span class="input-group-addon"><i class="fa fa-phone"></i></span>
						<input class='form-control' id='telefono' name='telefono' type='number' >
					</div>
				</div>
				<div class='form-group '>
					<label for='mensaje'>Mensaje</label>
						<textarea class='form-control' id='mensaje' name='mensaje'  ></textarea>
				</div>
				<br>
				<div class='btn btn-block btn-primary' onclick="xajax_enviar_mail(xajax.getFormValues('formulario_contacto'))">Enviar</div>

			</form>

			</div>
			</div>


	<div class='container-fluid franja text-center' >
    <h1>RedINC.org <div class='lead'>Es un proyecto de Red Comunitaria</div></h1>
  </div>


<div  class="container-fluid " >
  <div class='col-sm-push-2 col-sm-8 col-md-push-2 col-md-8 col-lg-6 col-lg-push-3'  >
  <div id="creditos">
   <h3>Con el apoyo de:</h3></br>
		<div class="img_creditos">
		 <a target='new' href='https://www.apc.org/es'>
		  <img  class='img img-responsive' src="images/apc.png" alt="Asociación para el progreso de las comunicaciones">
		  </a>
		</div>
		<div class="img_creditos">
			<a target='new' href='https://colnodo.apc.org/'>
		  <img  class='img img-responsive' src="images/logo_colnodo.png" alt="Colnodo">
		  </a>
		</div>
    <div class="img_creditos">
			<a target='new' href='https://www.internetsociety.org/es/'>
		  <img  class='img img-responsive' src="images/logo_isoc.png" alt="Internet Society">
		  </a>
		</div>
</div>

<div id="agradecimientos" class="text-center">
<h4>Agradecimientos:</h4></br>
	<div class="img_grad">
		<a target='new' href='https://nuestrared.org'>
		<img class='img img-responsive center-block' src="images/logoNR.png" alt="QMP ">
		</a>
	</div>
  </div>
  </div>
    </div>

  <!-- Modal -->
  <div  class="container text-center " >
      <div class='pie'>
        <a href=''>Creado con <i class="far fa-grin-hearts"></i> para la Red Comunitaria de Buenos Aires</a>
      </div>
      </div>
    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
     <script src="libs/js/jquery.min.js"></script>
    <script src="libs/js/bootstrap.min.js"></script>
    <script src="libs/js/scripts.js"></script>
    <script src="libs/css/font-awesome/js/all.min.js"></script>


</body>
</html>
